> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Round Matches

> Retrieve all matches for a specific tournament round. Optionally includes team matches when requested.



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/tournament-rounds/{id}/matches/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/tournament-rounds/{id}/matches/:
    get:
      tags:
        - tournament-rounds
      summary: Get Round Matches
      description: >-
        Retrieve all matches for a specific tournament round. Optionally
        includes team matches when requested.
      operationId: tournament_rounds_matches_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this tournament round.
          required: true
        - in: query
          name: teams
          schema:
            type: boolean
          description: Include team matches in the response
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TournamentRoundWithMatchesAndTeamMatches'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    TournamentRoundWithMatchesAndTeamMatches:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        matches:
          type: array
          items:
            $ref: '#/components/schemas/TournamentMatchSlim'
        team_event_matches:
          type: array
          items:
            $ref: '#/components/schemas/TeamEventMatch'
        round_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        final_round_in_event:
          type: boolean
        use_old_pairings:
          type: boolean
        astrolabe_url:
          type: string
          format: uri
          nullable: true
          description: The astrolabe backend used to compute the pairings.
          maxLength: 200
        pairings_status:
          $ref: '#/components/schemas/PairingsStatusEnum'
        standings_status:
          $ref: '#/components/schemas/StandingsStatusEnum'
        round_type:
          $ref: >-
            #/components/schemas/TournamentRoundWithMatchesAndTeamMatchesRoundTypeEnum
        status:
          $ref: '#/components/schemas/TournamentPhaseStatus'
        tournament_phase:
          type: integer
      required:
        - id
        - matches
        - team_event_matches
        - tournament_phase
    TournamentMatchSlim:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        table_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        pod_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        status:
          $ref: '#/components/schemas/TournamentMatchStatus'
        is_ghost_match:
          type: boolean
        is_feature_match:
          type: boolean
        match_is_bye:
          type: boolean
        match_is_loss:
          type: boolean
        deck_check_completed:
          type: boolean
        deck_check_started:
          type: boolean
        time_extension_seconds:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        winning_player:
          type: integer
          nullable: true
        match_is_intentional_draw:
          type: boolean
        match_is_unintentional_draw:
          type: boolean
        games_drawn:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        players:
          type: array
          items:
            $ref: '#/components/schemas/PlayerMatchRelationshipSlim'
          readOnly: true
        assigned_judge:
          allOf:
            - $ref: '#/components/schemas/inline_serializer'
          nullable: true
        games_won_by_winner:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        games_won_by_loser:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
      required:
        - id
        - players
    TeamEventMatch:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        teams:
          type: array
          items:
            $ref: '#/components/schemas/TeamEventTeam'
          readOnly: true
        first_table_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        match_is_bye:
          type: boolean
        is_draw:
          type: boolean
        tournament_round:
          type: integer
        winner:
          type: integer
          nullable: true
      required:
        - id
        - teams
        - tournament_round
    PairingsStatusEnum:
      enum:
        - NOT_GENERATED
        - GENERATING
        - GENERATED
      type: string
      description: |-
        * `NOT_GENERATED` - Not Generated
        * `GENERATING` - Generating
        * `GENERATED` - Generated
    StandingsStatusEnum:
      enum:
        - NOT_GENERATED
        - GENERATING
        - GENERATED
      type: string
      description: |-
        * `NOT_GENERATED` - Not Generated
        * `GENERATING` - Generating
        * `GENERATED` - Generated
    TournamentRoundWithMatchesAndTeamMatchesRoundTypeEnum:
      enum:
        - PLAYER_MEETING
        - RANDOM_PLAYER_MEETING
        - DRAFT_POD
        - PLAY_VS_OPPONENT
      type: string
      description: |-
        * `PLAYER_MEETING` - Player Meeting (sorted alphabetically)
        * `RANDOM_PLAYER_MEETING` - Player Meeting (random)
        * `DRAFT_POD` - Draft Pod
        * `PLAY_VS_OPPONENT` - Play vs Opponent
    TournamentPhaseStatus:
      enum:
        - IN_PROGRESS
        - UPCOMING
        - COMPLETE
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `UPCOMING` - Upcoming
        * `COMPLETE` - Complete
    TournamentMatchStatus:
      enum:
        - IN_PROGRESS
        - COMPLETE
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `COMPLETE` - Complete
    PlayerMatchRelationshipSlim:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        match_id:
          type: integer
          readOnly: true
        player:
          $ref: '#/components/schemas/inline_serializer'
        player_order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        games_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        user_event_status:
          $ref: '#/components/schemas/inline_serializer'
      required:
        - id
        - match_id
        - player
        - user_event_status
    inline_serializer:
      type: object
      properties:
        id:
          type: integer
        captain:
          type: boolean
        queue_group:
          $ref: '#/components/schemas/inline_serializer'
      required:
        - captain
        - id
        - queue_group
    TeamEventTeam:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        team_name:
          type: string
          nullable: true
          maxLength: 200
        team_event_players:
          type: array
          items:
            $ref: '#/components/schemas/TeamEventPlayer'
          readOnly: true
        invite_hash:
          type: string
          nullable: true
          maxLength: 255
        is_dropped:
          type: boolean
      required:
        - id
        - team_event_players
    TeamEventPlayer:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        event_status:
          $ref: '#/components/schemas/UserEventStatusTeam'
        captain:
          type: boolean
        seat:
          type: integer
          nullable: true
        team:
          type: integer
      required:
        - event_status
        - id
        - team
    UserEventStatusTeam:
      type: object
      properties:
        user:
          allOf:
            - $ref: '#/components/schemas/CustomUserName'
          readOnly: true
        id:
          type: integer
          readOnly: true
        decklist:
          allOf:
            - $ref: '#/components/schemas/DecklistForTeam'
          readOnly: true
        using_paper_decklist:
          type: boolean
        user_identifier:
          type: string
          readOnly: true
        registration_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/UserEventRegistrationStatus'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        stripe_payment_intent_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/StripePaymentIntentStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        mark_as_paid:
          type: boolean
        requested_deferred_payment:
          type: boolean
        total_match_points:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_lost:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_drawn:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - decklist
        - id
        - user
        - user_identifier
    CustomUserName:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
        username:
          type: string
          description: >-
            Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
          pattern: ^[\w.@+-]+$
          maxLength: 150
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
        best_identifier:
          type: string
          readOnly: true
        pronouns:
          type: string
          nullable: true
          maxLength: 255
        has_used_app:
          type: boolean
      required:
        - best_identifier
        - id
        - username
    DecklistForTeam:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        archetype:
          type: string
          nullable: true
          maxLength: 255
        moxfield_public_id:
          type: string
          nullable: true
          maxLength: 255
        commander_name:
          type: string
          nullable: true
          maxLength: 255
        partner_name:
          type: string
          nullable: true
          maxLength: 255
        decklist_updated_at:
          type: string
          format: date-time
          nullable: true
        duplicated_moxfield_link:
          type: string
          format: uri
          nullable: true
          maxLength: 200
      required:
        - id
        - name
    UserEventRegistrationStatus:
      enum:
        - IN_PROGRESS
        - IN_WAITING_ROOM
        - ON_WAITLIST
        - MOVED_TO_CHILD_EVENT
        - COMPLETE
        - CANCELED
        - DROPPED
        - DISQUALIFIED
        - ELIMINATED
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `IN_WAITING_ROOM` - In Waiting Room
        * `ON_WAITLIST` - On Waitlist
        * `MOVED_TO_CHILD_EVENT` - Moved to Child Event
        * `COMPLETE` - Complete
        * `CANCELED` - Canceled
        * `DROPPED` - Dropped
        * `DISQUALIFIED` - Disqualified
        * `ELIMINATED` - Eliminated
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    StripePaymentIntentStatusEnum:
      enum:
        - SUCCEEDED
        - PROCESSING
        - PAYMENT_FAILED
        - REQUIRES_CAPTURE
        - REFUNDED
      type: string
      description: |-
        * `SUCCEEDED` - Succeeded
        * `PROCESSING` - Processing
        * `PAYMENT_FAILED` - Payment Failed
        * `REQUIRES_CAPTURE` - Requires Capture
        * `REFUNDED` - Refunded
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````